// PS 1.3.x we don't have $.live() :(
function fShowHide(id){
    var elementId = "#"+id;
    $(elementId).slideToggle();    
    //hides current expanded elements at the same level
    $(elementId).parent().parent().children.find('.expanded').removeClass("expanded");
    //expands current option    
    $(elementId).parent().find('.expander').toggleClass("expanded");
}

$(document).ready(function() {
    // get parameters - credits :
    // http://wowmotty.blogspot.com/2010/04/get-parameters-from-your-script-tag.html
    // extract out the parameters
    function gup(n,s){
      n = n.replace(/[\[]/,"\\[").replace(/[\]]/,"\\]");
      var p = (new RegExp("[\\?&]"+n+"=([^&#]*)")).exec(s);
      return (p===null) ? "" : p[1];
    }
    var scriptSrc = $('script[src*="amazon.js"]').attr('src');
    var path = gup('path', scriptSrc );

    // load CSS
    //
    $('head').append("<link>");
      cssX = $("head").children(":last");
      cssX.attr({
        rel:  "stylesheet",
        type: "text/css",
        href: path + '/css/amazon.css'
    });

    $('.addnewcarrier').click(function()
    {
        var lang = $('input[name=selected_tab]').val() ;
        var id_lang = $('#id-lang-' + lang).val() ;
        var indexX  = $(this).attr('rel') ;

        cloned = $('#carrier-group-' + id_lang + '-' + indexX).clone().appendTo('#new-carriers-' + id_lang);
        newIndex = parseInt(indexX) + 1 ;

        cloned.attr('id', '#carrier-group-' + id_lang + '-' + newIndex ) ;

        cloned.find('.addnewcarrier').remove() ;
        cloned.find('.removecarrier').show().attr('rel', newIndex).
          click(function()
          {
            $(this).parent().remove() ;
          });
    });
    $('.removecarrier').click(function()
    {
        $(this).parent().remove() ;
    });
    // Tab active or not active
    //
    $('div[id^=menudiv-]').each(function(){

      if ( $(this).find('input[name^="actives"]').length != 0 && ! parseInt( $(this).find('input[name^="actives"]:checked').val() )  )
      {
            tabInactive( $(this) ) ;
      }
      else if ( $(this).find('input[name^="actives"]').length != 0  )
      {
            tabActive( $(this) ) ;
      }
    });

    $('input[id^="active-"]').click(function()
    {
       result = $(this).attr('id').match('^(.*)-(.*)$') ;
       lang = result[2] ;
       currentTab = $('#menudiv-' + lang) ;

        if ( ! parseInt( currentTab.find('input[name^="actives"]:checked').val()) )
            tabInactive( currentTab ) ;
        else
            tabActive( currentTab) ;

    });
    function tabActive( tab )
    {
      $(tab).find('input, select, textarea').each(function()
      {
          if ( $(this).attr('type') == 'checkbox') return(true) ;
          if ( $(this).attr('name') == 'submit' ) return(true) ;
          $(this).attr('readonly', false).attr('disabled', false).removeClass('disabled');
      });
    }
    function tabInactive( tab)
    {
      $(tab).find('input, select, textarea').each(function()
      {
          if ( $(this).attr('type') == 'checkbox' ) return(true) ;
          if ( $(this).attr('name') == 'submit' ) return(true) ;
          $(this).attr('readonly', 'readonly').attr('disabled', 'disabled').addClass('disabled');
      });
    }

    // First Tab
    //
    //$('li[id^="menu-"]:last').after( $('li[id^="menu-"].selected') ) ;

    $('li[id^="menu-"]').click(function()
    {
       result = $(this).attr('id').match('^(.*)-(.*)$') ;
       lang = result[2] ;

       $('input[name=selected_tab]').val(lang) ;

       if ( ! $(this).hasClass('selected') )
       {
            //$('li[id^="menu-"]:last').after( $(this) ) ;
            $('li[id^="menu-"]').removeClass('selected') ;
            $(this).addClass('selected') ;
            $('div[id^="menudiv-"]').hide() ;
            $('div[id^="menudiv-' + lang + '"]').show() ;
       }
    });

    $('input[id^="bcallback-"]').click(function()
    {
       result = $(this).attr('id').match('^(.*)-(.*)$') ;
       lang = result[2] ;

       if ( ! confirm( $('#callback-edit-warning').val() ) ) return(false) ;

       $('#pcallback-' + lang).removeClass('ecallback-disabled') ;
       $('#pcallback-' + lang).attr('readonly', false);
    }) ;

    $('#amazonEurope').click(function()
    {
      selector = $('#marketPlaceMaster') ;
      if ( $(this).attr('checked') == true || $(this).attr('checked') == 'checked')
      {
        selector.attr('disabled', false) ;
        selector.addClass('master-enabled');
        selector.removeClass('master-disabled');
      }
      else
      {
        selector.attr('disabled', 'disabled') ;
        selector.addClass('master-disabled');
        selector.removeClass('master-enabled');
      }
    })
    $('#marketPlaceMaster').click(function()
    {
       if ( $(this).attr('disabled') == false ) return(false);
       else return(true);
    });


    $('input[name=checkme]').click(function() {

      $('input[id^=categoryBox]').each(function() {
        if( $(this).attr('checked') )
              $(this).attr('checked', false) ;
        else
              $(this).attr('checked', 'checked') ;
      });

    });

    $('input[id^="check-"]').click(function() {
      result = $(this).attr('id').match('^(.*)-(.*)$') ;
      lang = result[2] ;
      selected_tab = $('input[name=selected_tab]').val() ;

      result = $('input[name=id_lang][value="'+selected_tab+'"]').attr('id').match('^(.*)-(.*)$') ;
      id_lang = result[2] ;

      if ( $('select[name="marketPlaceCurrency[' + id_lang + ']"] :selected').index() == 0 )
      {
          alert($('#check_msg_currency').val())  ;
          return(false) ;
      }
      if ( $('select[name="marketPlaceRegion[' + id_lang + ']"] :selected').index() == 0 )
      {
          alert($('#check_msg_region').val())  ;
          return(false) ;
      }

      merchantId            = $('input[name="merchantId['+id_lang+']"]').val() ;
      marketPlaceId         = $('input[name="marketPlaceId['+id_lang+']"]').val() ;
      awsKeyId              = $('input[name="awsKeyId['+id_lang+']"]').val() ;
      awsSecretKey          = $('input[name="awsSecretKey['+id_lang+']"]').val() ;

      marketPlaceRegion     = $('select[name="marketPlaceRegion['+id_lang+']"]').val() ;
      marketPlaceCurrency   = $('select[name="marketPlaceCurrency['+id_lang+']"]').val() ;

      $('.check-loader').show() ;
      $('#server-response-' + lang).slideDown();

      $.ajax({
          type: 'POST',
          url: $('#check_url').val(),
          data: 'merchantId=' + merchantId + '&marketPlaceId=' + marketPlaceId + '&awsKeyId=' + awsKeyId + '&awsSecretKey=' + encodeURIComponent(awsSecretKey) + '&marketPlaceRegion=' + marketPlaceRegion + '&marketPlaceCurrency=' + marketPlaceCurrency + '&action=check',
          beforeProcess: function(data) {

          },
          success: function(data) {
               $('.check-loader').hide() ;
               $('#server-response-' + lang).html(data);
              },
          error: function(data) {
               $('.check-loader').hide() ;
               $('#server-response-' + lang).html(data);
              }
      });


    });

    // Condition/State Mapping
    //
    $('select[id^=condition_map-]').change(function(){

       selected = $(this).attr('id') ;
       value = $(this).find('option:selected').val() ;

       $('select[id^=condition_map-] option').each(function()
       {
          if ( selected == $(this).parent().attr('id') )    return ;
          if ( ! $(this).val().length ) return ;
          if ( $(this).val() == value ) $(this).attr('selected', false) ;
       });

    });

    $('input[name="submit"]').click(function() {
      if ( $('select[name="order_state"] :selected').index() == 0 )
      {
          alert($('select[name="order_state"] option:eq(0)').val() + ' !')  ;
          return(false) ;
      }
      if ( $('select[name="sent_state"] :selected').index() == 0 )
      {
          alert($('select[name="sent_state"] option:eq(0)').val() + ' !')  ;
          return(false) ;
      }
    });

    /*
     *  PROFILES MANAGEMENT
     */

    $('#profile-add').click(function() {

        cloned = $('#master-profile').clone().attr('id','').prependTo('#profile-container').slideDown('slow') ;
        cloned.find('.profile-del-img').click(function() {
          $(this).parent().parent().slideUp('slow').remove();
         }) ;

         cloned.find('.profile-universe').change(function() {
            selectUniverse( $(this) );
          });
    });
    $('.profile-universe').change(function() {
            selectUniverse( $(this) );
    });

    $('.type_reload').click(function() {
         universe = $(this).parent().parent().find('.profile-universe').change() ;
    });


    $('.profile-del-img').click(function() {
      $(this).parent().parent().slideUp('slow').remove();
     }) ;


    // Fetch XSD
    //
    function selectUniverse(obj)
    {
        if (window.console)
            console.log($(obj).val()) ;

        loader = $(obj).parent().find('.xsd-load') ;
        loader.show() ;

        result          = $(obj).parent().find('.fetch-result') ;
        selected        = $(obj).val() ;
        product_type    = $(obj).parent().parent().find('.product_type') ;
        mandatory_fields = $(obj).parent().parent().find('.mandatory_fields') ;

        if ( selected == 'Jewelry' )
                $('#associations').hide() ;
        else    $('#associations').show() ;
        
        $.ajax({
            type: 'POST',
            url: $('#xsd_operations_url').val(),
            data: '&action=fetch&path=' + $('#xsd_path').val() + '&selected=' + selected + '&rand=' + new Date().valueOf() + '&callback=?',
            beforeProcess: function(data) {

            },
            success: function(result) {
                if (window.console)
                 console.log(result) ;
                loader.hide() ;
                mandatory_fields.html('');
                product_type.html(result).change(function(obj)
                {
                    changeProductType( obj, product_type, selected ) ;
                })               
            },
            error: function(result) {
                 loader.hide() ;
                 $('#ajax-error').html( $('#xsd_ajax_error').val() ).show() ;
                }
        }) ;
    }

    function changeProductType( obj, product_type, selected )
    {
        mandatory_fields = $(product_type).parent().parent().find('.mandatory_fields') ;

        if ( window.console )
        {
            console.log(obj) ;
            console.log(mandatory_fields) ;
        }

        profile = $(product_type).parent().parent().find('input[name^="profiles[name]"]').val() ;
        mandatory_fields = $(product_type).parent().parent().find('.mandatory_fields') ;
        loader = $(product_type).parent().parent().find('.xsd-load') ;
        loader.show() ;

        $.ajax({
            type: 'POST',
            url: $('#xsd_operations_url').val(),
            data: '&action=extrafields&path=' + $('#xsd_path').val() + '&profile=' + profile + '&selected=' + $(product_type).val() + '&universe=' + selected + '&rand=' + new Date().valueOf() + '&callback=?',
            beforeProcess: function(data) {
              $(mandatory_fields).html('');
            },
            success: function(result) {
                if (window.console)
                 console.log(result) ;
                loader.hide() ;
                mandatory_fields.html(result) ;
                onChangeProductType() ;
            },
            error: function(result) {
                 loader.hide() ;
                 $('#ajax-error').html( $('#xsd_ajax_error').val() ).show() ;
                }
        }) ;
    }

    function onChangeProductType()
    {
        $('.variant').change(function()
        {
          changeVariant($(this)) ;      
        }) ;
    }
    function changeVariant(obj)
    {
        selected_variant = obj.val() ;

        $('.variant-items[rel!="' + selected_variant + '"]').hide() ;
        $('.variant-items[rel="' + selected_variant + '"]').show() ;        
    }
    $('.variant').change(function()
    {
        changeVariant($(this)) ;
    }) ;
    
    $('input[name=checkme]').click(function() {
      $('input[id^=category_]').each(function() {
        if( $(this).attr('checked') )
              $(this).attr('checked', false) ;
        else
            if ( ! $(this).attr('disabled') )
              $(this).attr('checked', 'checked') ;
      });
    });

    // Attributes Fields MAPPING
    //
    $('.addnewmapping').click(function()
    {
        var result ;
        result = $(this).attr('id').match('.*-(.*)-(.*)-(.*)$') ;
        var id_lang =  result[1] ;
        var id_group = result[2] ;


        var indexX = $(this).parent().attr('rel') ;

        if ( window.console )
            console.log('group: ' + id_group + ' index: ' + indexX + 'lang: ' + id_lang) ;

        newIndex = parseInt(indexX) + 1 ;
        $(this).parent().attr('rel', newIndex) ;

        cloned = $('div[id^="attribute-group-' + id_lang + '-' + id_group + '-"]').last().clone().appendTo('#new-mapping-' + id_lang + '-' + id_group);

        if ( window.console )
            console.log('#attribute-group-' + id_lang + '-' + id_group + '-' + indexX) ;

        cloned.attr('id', '#attribute-group-' + id_lang + '-' + id_group + '-' + newIndex) ;

        cloned.find('input').val('').attr('disabled', false) ;
        cloned.find('select').val('').attr('disabled', false) ;

        cloned.find('.addnewmapping').remove() ;
        cloned.find('.removemapping').show().
          click(function()
          {
            $(this).parent().remove() ;
          });
        cloned.find('select').
          change(function()
          {
            var result ;
            result = $(this).attr('rel').match('(.*)-(.*)-(.*)$') ;
            $(this).attr('name', 'mapping[prestashop][' + id_lang + '][' + result[2] + '][' + $(this).val() + ']') ;

            $(this).parent().find('input').attr('name',
                        'mapping[amazon][' + id_lang + '][' + result[2] + '][' + $(this).val() + ']' ) ;
          });
    });

    $('select[name^="mapping[prestashop]"]').
      change(function()
      {
        var result ;

        result = $(this).attr('rel').match('-(.*)-(.*)$') ;

        $(this).attr('name', 'mapping[prestashop][' + result[1] + '][' + result[2] + '][' + $(this).val() + ']') ;

        $(this).parent().find('input').attr('name',
                    'mapping[amazon][' + result[1] + '][' + result[2] + '][' + $(this).val() + ']' ) ;
    });

    $('.removemapping').click(function()
    {
        $(this).parent().remove() ;
    });

    // Features Fields MAPPING
    //
    $('.addnew-feature-mapping').click(function()
    {
        var result ;
        result = $(this).attr('id').match('.*-(.*)-(.*)-(.*)$') ;
        var id_lang =  result[1] ;
        var id_group = result[2] ;


        var indexX = $(this).parent().attr('rel') ;

        if ( window.console )
            console.log('group: ' + id_group + ' index: ' + indexX + 'lang: ' + id_lang) ;

        newIndex = parseInt(indexX) + 1 ;
        $(this).parent().attr('rel', newIndex) ;

        cloned = $('div[id^="feature-group-' + id_lang + '-' + id_group + '-"]').last().clone().appendTo('#new-feature-mapping-' + id_lang + '-' + id_group);

        if ( window.console )
            console.log('#feature-group-' + id_lang + '-' + id_group + '-' + indexX) ;

        cloned.attr('id', '#feature-group-' + id_lang + '-' + id_group + '-' + newIndex) ;

        cloned.find('input').val('').attr('disabled', false) ;
        cloned.find('select').val('').attr('disabled', false) ;

        cloned.find('.addnew-feature-mapping').remove() ;
        cloned.find('.remove-feature-mapping').show().
          click(function()
          {
            $(this).parent().remove() ;
          });
        cloned.find('select').
          change(function()
          {
            var result ;
            result = $(this).attr('rel').match('(.*)-(.*)-(.*)$') ;
            $(this).attr('name', 'features_mapping[prestashop][' + id_lang + '][' + result[2] + '][' + $(this).val() + ']') ;

            $(this).parent().find('input').attr('name',
                        'features_mapping[amazon][' + id_lang + '][' + result[2] + '][' + $(this).val() + ']' ) ;
          });
    });

    $('select[name^="features_mapping[prestashop]"]').
      change(function()
      {
        var result ;

        result = $(this).attr('rel').match('-(.*)-(.*)$') ;

        $(this).attr('name', 'features_mapping[prestashop][' + result[1] + '][' + result[2] + '][' + $(this).val() + ']') ;

        $(this).parent().find('input').attr('name',
                    'features_mapping[amazon][' + result[1] + '][' + result[2] + '][' + $(this).val() + ']' ) ;
    });

    $('.remove-feature-mapping').click(function()
    {
        $(this).parent().remove() ;
    });

    $('.config-type').click(function()
    {
        $('.config-type').toggle() ;
        $('.advanced-settings').slideToggle() ;
    });
    
    $('#fba').click(function()
    {
        if ( $(this).attr('checked') )
            alert( $('#text_fba').val() ) ;
    });

    $('#dummy').click(function()
    {
        $('#dummy-product').slideToggle() ;
    });        

});
