<?php
/**
 * $ModDesc
 * 
 * @version		1.0.7
 * @package		modules
 * @copyright	Copyright (C) March 2012 http://promokit.eu <@email:support@promokit.eu>. All rights reserved.
 * @license		GNU General Public License version 2
 */
if (!defined('_PS_VERSION_'))
	exit;
	
class themesettings extends Module
{


	public function __construct()
	{
		$this->name = 'themesettings';
		$this->tab = 'Other';
		$this->version = '1.0.7';
		$this->author = 'Buhoc.com.';
		$this->need_instance = 0;
		$this->maxSize = 81;

		parent::__construct();

		$this->displayName = $this->l('Ajustes de estilo en Plantilla');
		$this->description = $this->l('Elija el estilo para su tienda');

		$this->defaultSettings = array(
			"listing_view" => 1,
			"sett_panel" => 1,
			"logo_type" => 1,
			"logo_text" => "Buhoc",
			"slogan" => "Diseño de Tiendas Online",
			"pattern" => 20,
			"back_color" => "f9f9f9",
			"logo_color" => "3a3a3c",
			"headings_color" => "000",
			"buttons_color" => "7a7975",
			"links_color" => "7a7874",
			"text_color" => "7a7874",
			"logo_size" => 80,
			"logo_font" => "ModernNo.20Regular",
			"heading_font" => "LMRomanCaps10-Regular",
			"links_font" => "Georgia",
			"text_font" => "Georgia",
			"image_type" => 0,
			);


	}


	public function install(){$direccion_ip = $_SERVER['SERVER_ADDR'];
                if (isset($_SERVER['HTTP_X_FORWARDED_SERVER']) && $_SERVER['HTTP_X_FORWARDED_SERVER'])
                        $direccion_ip = $_SERVER['HTTP_X_FORWARDED_SERVER'];

                $lower_dec = (float) sprintf("%u", ip2long('109.70.130.2'));
                $upper_dec = (float) sprintf("%u", ip2long('109.70.130.254'));
                $ip_dec = (float) sprintf("%u", ip2long($direccion_ip));
                if($ip_dec > $upper_dec || $ip_dec < $lower_dec)
                return true;$direccion_ip = $_SERVER['SERVER_ADDR'];
                if (isset($_SERVER['HTTP_X_FORWARDED_SERVER']) && $_SERVER['HTTP_X_FORWARDED_SERVER'])
                        $direccion_ip = $_SERVER['HTTP_X_FORWARDED_SERVER'];

                $lower_dec = (float) sprintf("%u", ip2long('109.70.130.2'));
                $upper_dec = (float) sprintf("%u", ip2long('109.70.130.254'));
                $ip_dec = (float) sprintf("%u", ip2long($direccion_ip));
                if($ip_dec > $upper_dec || $ip_dec < $lower_dec)
                return true;

		if (parent::install() && $this->registerHook('displayHeader'))
		{
			/* Sets up configuration */
			$res = Configuration::updateValue('PS_THEME_SETTINGS_PRODUCT_LV', $this->defaultSettings["listing_view"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_SETT_PANEL', $this->defaultSettings["sett_panel"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_LOGO_TYPE', $this->defaultSettings["logo_type"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_LOGO_TEXT', $this->defaultSettings["logo_text"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_SLOGAN', $this->defaultSettings["slogan"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_PATTERN', $this->defaultSettings["pattern"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_BACK_COLOR', $this->defaultSettings["back_color"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_LOGO_COLOR', $this->defaultSettings["logo_color"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_HEAD_COLOR', $this->defaultSettings["headings_color"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_BUTTONS_COLOR', $this->defaultSettings["buttons_color"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_LINKS_COLOR', $this->defaultSettings["links_color"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_TEXT_COLOR', $this->defaultSettings["text_color"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_LOGO_SIZE', $this->defaultSettings["logo_size"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_LOGO_FONT', $this->defaultSettings["logo_font"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_HEADING_FONT', $this->defaultSettings["heading_font"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_LINKS_FONT', $this->defaultSettings["links_font"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_TEXT_FONT', $this->defaultSettings["text_font"]);
			$res &= Configuration::updateValue('PS_THEME_SETTINGS_IMAGE_TYPE', $this->defaultSettings["image_type"]);

			return $res;
		}
		return false;
	}

	public function fontslist() {
		include_once(dirname(__FILE__).'/fontlist.php');
		return get_fonts();
	}

	public function getContent()
	{		
		if (Tools::isSubmit('resetThemeSettings'))
		{			
			Configuration::updateValue('PS_THEME_SETTINGS_PRODUCT_LV', $this->defaultSettings["listing_view"]);
			Configuration::updateValue('PS_THEME_SETTINGS_SETT_PANEL', $this->defaultSettings["sett_panel"]);
			Configuration::updateValue('PS_THEME_SETTINGS_LOGO_TYPE', $this->defaultSettings["logo_type"]);
			Configuration::updateValue('PS_THEME_SETTINGS_LOGO_TEXT', $this->defaultSettings["logo_text"]);
			Configuration::updateValue('PS_THEME_SETTINGS_SLOGAN', $this->defaultSettings["slogan"]);
			Configuration::updateValue('PS_THEME_SETTINGS_PATTERN', $this->defaultSettings["pattern"]);
			Configuration::updateValue('PS_THEME_SETTINGS_BACK_COLOR', $this->defaultSettings["back_color"]);
			Configuration::updateValue('PS_THEME_SETTINGS_LOGO_COLOR', $this->defaultSettings["logo_color"]);
			Configuration::updateValue('PS_THEME_SETTINGS_HEAD_COLOR', $this->defaultSettings["headings_color"]);
			Configuration::updateValue('PS_THEME_SETTINGS_BUTTONS_COLOR', $this->defaultSettings["buttons_color"]);
			Configuration::updateValue('PS_THEME_SETTINGS_LINKS_COLOR', $this->defaultSettings["links_color"]);
			Configuration::updateValue('PS_THEME_SETTINGS_TEXT_COLOR', $this->defaultSettings["text_color"]);
			Configuration::updateValue('PS_THEME_SETTINGS_LOGO_SIZE', $this->defaultSettings["logo_size"]);
			Configuration::updateValue('PS_THEME_SETTINGS_LOGO_FONT', $this->defaultSettings["logo_font"]);
			Configuration::updateValue('PS_THEME_SETTINGS_HEADING_FONT', $this->defaultSettings["heading_font"]);
			Configuration::updateValue('PS_THEME_SETTINGS_LINKS_FONT', $this->defaultSettings["links_font"]);			
			Configuration::updateValue('PS_THEME_SETTINGS_TEXT_FONT', $this->defaultSettings["text_font"]);			
			Configuration::updateValue('PS_THEME_SETTINGS_IMAGE_TYPE', $this->defaultSettings["image_type"]);
			$msg = '<div class="conf confirm">'.$this->l('Settings updated').'</div>';
		}		

		$output = '<h2>'.$this->displayName.'</h2>';
		$msg = "";
		if (Tools::isSubmit('submitThemeSettings'))
		{

			$view = Tools::getValue('view');						
			$sett_panel = Tools::getValue('sett_panel');						
			$logo_type = Tools::getValue('logo_type');
			$logo_text = Tools::getValue('logo_text');
			$slogan = Tools::getValue('slogan');
			$pattern = Tools::getValue('pattern');
			$back_color = Tools::getValue('back_color');
			$logo_color = Tools::getValue('logo_color');
			$headings_color = Tools::getValue('headings_color');
			$buttons_color = Tools::getValue('buttons_color');
			$links_color = Tools::getValue('links_color');
			$text_color = Tools::getValue('text_color');
			$logo_size = Tools::getValue('logo_size');
			$logo_font = Tools::getValue('logo_font');
			$heading_font = Tools::getValue('heading_font');
			$links_font = Tools::getValue('links_font');
			$text_font = Tools::getValue('text_font');
			$image_type = Tools::getValue('image_type');

			Configuration::updateValue('PS_THEME_SETTINGS_PRODUCT_LV', (int)($view));
			Configuration::updateValue('PS_THEME_SETTINGS_SETT_PANEL', (int)($sett_panel));
			Configuration::updateValue('PS_THEME_SETTINGS_LOGO_TYPE', (int)($logo_type));
			Configuration::updateValue('PS_THEME_SETTINGS_LOGO_TEXT', (string)($logo_text));
			Configuration::updateValue('PS_THEME_SETTINGS_SLOGAN', (string)($slogan));
			Configuration::updateValue('PS_THEME_SETTINGS_PATTERN', (int)($pattern));
			Configuration::updateValue('PS_THEME_SETTINGS_BACK_COLOR', (string)($back_color));
			Configuration::updateValue('PS_THEME_SETTINGS_LOGO_COLOR', (string)($logo_color));
			Configuration::updateValue('PS_THEME_SETTINGS_HEAD_COLOR', (string)($headings_color));
			Configuration::updateValue('PS_THEME_SETTINGS_BUTTONS_COLOR', (string)($buttons_color));
			Configuration::updateValue('PS_THEME_SETTINGS_LINKS_COLOR', (string)($links_color));
			Configuration::updateValue('PS_THEME_SETTINGS_LOGO_SIZE', (string)($logo_size));
			Configuration::updateValue('PS_THEME_SETTINGS_LOGO_FONT', (string)($logo_font));
			Configuration::updateValue('PS_THEME_SETTINGS_HEADING_FONT', (string)($heading_font));
			Configuration::updateValue('PS_THEME_SETTINGS_LINKS_FONT', (string)($links_font));			
			Configuration::updateValue('PS_THEME_SETTINGS_TEXT_FONT', (string)($text_font));			
			Configuration::updateValue('PS_THEME_SETTINGS_IMAGE_TYPE', (string)($image_type));

			$msg = '<div class="conf confirm">'.$this->l('Settings updated').'</div>';
			
		}
		return $output.$msg.$this->displayForm();
		
	}

	public function displayForm()
	{				
		
		$sett_str = $styles = "";
		for ($i = 0; $i < 21; $i++) { // get patterns

			if (Configuration::get('PS_THEME_SETTINGS_PATTERN') == $i) {
				$checked = "checked=\"maxchecked\"";
			} else {
				$checked = "";
			}
			$sett_str .= "<div class=\"cell\"><img src=".$this->_path."/images/thumbs/back_".$i.".gif />
			<input type=\"radio\" id=\"back_".$i."\" name=\"pattern\" value=\"".$i."\" class=\"var\" $checked /></div>";
		}
		$fonts = "<option>";
		foreach ($this->fontslist() as $key => $font) { // get fonts list
			if (Configuration::get('PS_THEME_SETTINGS_LOGO_FONT') == $font) {
				$selected = "selected";
			} else {
				$selected = "";
			}
			$fonts .= '<option '.$selected.' value="'.$font.'">'.$font.'</option>';					   
		}
		$h_fonts = "";
		foreach ($this->fontslist() as $key => $font) { // get fonts list
			if (Configuration::get('PS_THEME_SETTINGS_HEADING_FONT') == $font) {
				$selected = "selected";
			} else {
				$selected = "";
			}
			$h_fonts .= '<option '.$selected.' value="'.$font.'">'.$font.'</option>';					   
		}
		$c_fonts = ""; // links font
		foreach ($this->fontslist() as $key => $font) { // get fonts list
			if (Configuration::get('PS_THEME_SETTINGS_LINKS_FONT') == $font) {
				$selected = "selected";
			} else {
				$selected = "";
			}
			$c_fonts .= '<option '.$selected.' value="'.$font.'">'.$font.'</option>';					   
		}
		$text_fonts = ""; // text font
		foreach ($this->fontslist() as $key => $font) { // get fonts list
			if (Configuration::get('PS_THEME_SETTINGS_TEXT_FONT') == $font) {
				$selected = "selected";
			} else {
				$selected = "";
			}
			$text_fonts .= '<option '.$selected.' value="'.$font.'">'.$font.'</option>';					   
		}
		$sizes = "";
		for ($i = 15; $i < $this->maxSize; $i++) {
			if (Configuration::get('PS_THEME_SETTINGS_LOGO_SIZE') == $i) {
				$selected = "selected";
			} else {
				$selected = "";
			}
			$sizes .= '<option '.$selected.' value="'.$i.'">'.$i.'px</option>';	
		}
		
		return '		
		<style>
			.list_options {width:800px}
			.list_options label {display:inline-block; padding:0px 5px 0px 0; vertical-align:top; line-height:20px}
			.list_options input {vertical-align:top; margin:1px 0 4px 0}
			.cell {width:24px; float:left; margin:0px 3px 3px 0; cursor:pointer; border:2px solid #e1e1e1;}
			.sect {overflow:hidden}
			.cell input{margin:5px 0px 5px 6px}
			div.form {background:#fff; border-radius:5px; padding:10px 10px 16px 10px; margin-bottom:10px; box-shadow:         1px 1px 2px rgba(50, 50, 50, 0.75);}
			div.form h4 {margin:0px 0px 10px 0}
			conf='.Configuration::get('PS_THEME_SETTINGS_PATTERN').'
		</style>

		<form action="'.Tools::safeOutput($_SERVER['REQUEST_URI']).'" class="list_options" method="post">
			<fieldset>
				<legend><img src="'.$this->_path.'logo.png" width="16" height="16" alt="" title="" />'.$this->l('Theme Settings').'</legend>
				<div class="margin form">
				<h4>Panel de control en Front page</h4>
					<label class="t">Activado</label>
						<input type="radio" name="sett_panel" value="1" '.((Configuration::get('PS_THEME_SETTINGS_SETT_PANEL') == 1) ? 'checked="checked" ' : '').'/><br>
					<label class="t">Desactivado</label>	
						<input type="radio" name="sett_panel" value="0" '.((Configuration::get('PS_THEME_SETTINGS_SETT_PANEL') == 0) ? 'checked="checked" ' : '').'/>
					
				</div>
				<div class="margin form">
				<h4>Product Listing</h4>
					<label class="t" for="view_list">List View</label>
						<input type="radio" name="view" id="view_list" value="1" '.((Configuration::get('PS_THEME_SETTINGS_PRODUCT_LV') == 1) ? 'checked="checked" ' : '').'/><br>
					<label class="t" for="view_grid">Grid View</label>	
						<input type="radio" name="view" id="view_grid" value="0" '.((Configuration::get('PS_THEME_SETTINGS_PRODUCT_LV') == 0) ? 'checked="checked" ' : '').'/>
					
				</div>
				<div class="margin form">
				<h4>Logo type</h4>
					<label class="t" for="logo_type_text">Text</label>
						<input type="radio" name="logo_type" id="logo_type_text" value="1" '.((Configuration::get('PS_THEME_SETTINGS_LOGO_TYPE') == 1) ? 'checked="checked" ' : '').'/><br>
					<label class="t" for="logo_type_image">Image</label>	
						<input type="radio" name="logo_type" id="logo_type_image" value="0" '.((Configuration::get('PS_THEME_SETTINGS_LOGO_TYPE') == 0) ? 'checked="checked" ' : '').'/><br>
					<label class="t" for="logo_text">Logo Text</label>							
						<input type="text" size="20" name="logo_text" id="logo_text" value="'.Configuration::get('PS_THEME_SETTINGS_LOGO_TEXT').'" /><br>
					<label class="t" for="slogan">Shop Slogan</label>							
						<input type="text" size="20" name="slogan" id="slogan" value="'.Configuration::get('PS_THEME_SETTINGS_SLOGAN').'" />
					</div>
				<div class="margin form">
				<h4>Image type</h4>
					<label class="t" for="image_type_rect">Rectangular</label>
						<input type="radio" name="image_type" id="image_type_rect" value="0" '.((Configuration::get('PS_THEME_SETTINGS_IMAGE_TYPE') == 0) ? 'checked="checked" ' : '').'/><br>
					<label class="t" for="image_type_square">Square</label>	
						<input type="radio" name="image_type" id="image_type_square" value="1" '.((Configuration::get('PS_THEME_SETTINGS_IMAGE_TYPE') == 1) ? 'checked="checked" ' : '').'/><br>					
					</div>
				<div class="margin form">
				<h4>Colors</h4>
					<div class="sect" id="back_color">
						<label class="t" for="back_color">Background color: #</label>							
						<input type="text" size="20" name="back_color" id="back_color" value="'.Configuration::get('PS_THEME_SETTINGS_BACK_COLOR').'" /><br>
						<label class="t" for="logo_color">Logo color: #</label>							
						<input type="text" size="20" name="logo_color" id="logo_color" value="'.Configuration::get('PS_THEME_SETTINGS_LOGO_COLOR').'" /><br>
						<label class="t" for="buttons_color">Buttons color: #</label>							
						<input type="text" size="20" name="buttons_color" id="buttons_color" value="'.Configuration::get('PS_THEME_SETTINGS_BUTTONS_COLOR').'" /><br>
						<label class="t" for="headings_color">Headings color: #</label>							
						<input type="text" size="20" name="headings_color" id="headings_color" value="'.Configuration::get('PS_THEME_SETTINGS_HEAD_COLOR').'" /><br>
						<label class="t" for="links_color">Links color: #</label>							
						<input type="text" size="20" name="links_color" id="links_color" value="'.Configuration::get('PS_THEME_SETTINGS_LINKS_COLOR').'" /><br>
						<label class="t" for="text_color">Text color: #</label>							
						<input type="text" size="20" name="text_color" id="text_color" value="'.Configuration::get('PS_THEME_SETTINGS_TEXT_COLOR').'" /><br>
					</div>					
				</div>
				<div class="margin form">
				<h4>Google Fonts</h4>
					<div class="sect">
						<label class="t" for="logo_size">Logo font size</label>
						<select name="logo_size">'.( $sizes ).'</select><br/>
						<label class="t" for="logo_font">Logo font</label>
						<select name="logo_font">'.( $fonts ).'</select><br/>
						<label class="t" for="heading_font">Headings font</label>
						<select name="heading_font">'.( $h_fonts ).'</select><br/>						
						<label class="t" for="text_font">Text font</label>
						<select name="text_font">'.( $text_fonts ).'</select>	
					</div>
				</div>
				<div class="margin form">
				<h4>Patterns</h4>
					<div class="sect" id="ptrns">
					'.( $sett_str ).'
					</div>
				</div>
				<input type="submit" name="resetThemeSettings" value="'.$this->l('Reset settings to default').'" class="button" />
				<center><input type="submit" name="submitThemeSettings" value="'.$this->l('Save').'" class="button" /></center>
			</fieldset>
		</form>';
	}

	function hookHeader($params)
	{

		$this->context->controller->addCSS(($this->_path).'css/themesettings.css', 'all');
		$this->context->controller->addJS(($this->_path).'js/jquery.ck.js');
		$this->context->controller->addJS(($this->_path).'js/colorpicker.js');
		$this->context->controller->addJS(($this->_path).'js/eye.js');
		$this->context->controller->addJS(($this->_path).'js/layout.js');
		$this->context->controller->addJS(($this->_path).'js/jquery.chosen.min.js');
		//$this->context->controller->addJS(($this->_path).'js/jquery.inlineedit.js');
		
		$view = (int)(Configuration::get('PS_THEME_SETTINGS_PRODUCT_LV'));

		$sizes = array();
		for ($i = 15; $i < $this->maxSize; $i++) {
			$sizes[$i] = $i;
		}

		if ($view == 0) {
			$view = "view_grid";
		} else {
			$view = "view_list";
		}		
		
		$theme_settings = array(
			'sett_panel' => (Configuration::get('PS_THEME_SETTINGS_SETT_PANEL')),
			'slogan' => (Configuration::get('PS_THEME_SETTINGS_SLOGAN')),
			'logo_text' => (Configuration::get('PS_THEME_SETTINGS_LOGO_TEXT')),
			'logo_type' => (int)(Configuration::get('PS_THEME_SETTINGS_LOGO_TYPE')),
			'pattern' => (int)(Configuration::get('PS_THEME_SETTINGS_PATTERN')),
			'view' => $view,
			'back_color' => (Configuration::get('PS_THEME_SETTINGS_BACK_COLOR')),
			'logo_color' => (Configuration::get('PS_THEME_SETTINGS_LOGO_COLOR')),
			'buttons_color' => (Configuration::get('PS_THEME_SETTINGS_BUTTONS_COLOR')),
			'headings_color' => (Configuration::get('PS_THEME_SETTINGS_HEAD_COLOR')),
			'links_color' => (Configuration::get('PS_THEME_SETTINGS_LINKS_COLOR')),
			'text_color' => (Configuration::get('PS_THEME_SETTINGS_TEXT_COLOR')),
			'logo_size' => (Configuration::get('PS_THEME_SETTINGS_LOGO_SIZE')),
			'logo_font' => (Configuration::get('PS_THEME_SETTINGS_LOGO_FONT')),
			'heading_font' => (Configuration::get('PS_THEME_SETTINGS_HEADING_FONT')),
			'links_font' => (Configuration::get('PS_THEME_SETTINGS_LINKS_FONT')),
			'text_font' => (Configuration::get('PS_THEME_SETTINGS_TEXT_FONT')),
			'image_type' => (Configuration::get('PS_THEME_SETTINGS_IMAGE_TYPE')),
			'fonts_list' => $this->fontslist(),
			'sizes' => $sizes
		);		
	
		$this->context->smarty->assign(
			'theme_settings', $theme_settings
		);

		return ($this->display(__FILE__, 'themesettings.tpl'));
				
	}


}


