<?php

class BestSalesController extends BestSalesControllerCore
{

	public function initContent()
	{
		parent::initContent();

		$this->productSort();
		$nbProducts = (int)ProductSale::getNbSales();
		$this->pagination($nbProducts);
		
		 $best_products = ProductSale::getBestSales($this->context->language->id, $this->p - 1, $this->n, $this->orderBy, $this->orderWay);
		 
		 			$image_array=array();
				for($i=0;$i<$nbProducts;$i++)
				{
					$image_array[$best_products[$i]['id_product']]= Product::getProductsImgs($best_products[$i]['id_product']);
				}
				$this->context->smarty->assign('productimg',(isset($image_array) AND $image_array) ? $image_array : NULL);
		
				/************************* /Images Array ******************************/

		$this->context->smarty->assign(array(
			'products' => $best_products,
			'add_prod_display' => Configuration::get('PS_ATTRIBUTE_CATEGORY_DISPLAY'),
			'nbProducts' => $nbProducts,
			'homeSize' => Image::getSize('home')
		));

		$this->setTemplate(_PS_THEME_DIR_.'best-sales.tpl');
	}



}

