 $(document).ready(function() {

    function waitForAmazonScript()
    {
      window.setTimeout(function() {
        if ( $('#amazon-button2').length )
          initStrategies() ;
        else waitForAmazonScript();
      }, 1000);
    }
    waitForAmazonScript() ;


    function initStrategies()
    {
        // get parameters - credits :
        // http://wowmotty.blogspot.com/2010/04/get-parameters-from-your-script-tag.html
        // extract out the parameters
        function gup(n,s){
          n = n.replace(/[\[]/,"\\[").replace(/[\]]/,"\\]");
          var p = (new RegExp("[\\?&]"+n+"=([^&#]*)")).exec(s);
          return (p===null) ? "" : p[1];
        }
        var scriptSrc = $('script[src*="product_bid.js"]').attr('src');
        var path = gup( 'path', scriptSrc );

        // load CSS
        //
        $('head').append("<link>");
          css = $("head").children(":last");
          css.attr({
            rel:  "stylesheet",
            type: "text/css",
            href: path + 'css/product_bid.css'
          });

        //$('#finalPrice').parent().append('<input type="button" class="button" id="amazon-button" value="Amazon" />') ;

        $('html').append('<div id="product_bid"></div>') ;

        $('#amazon-button2').click(function() {

          $.ajax({
              type: 'GET',
              url: path + 'functions/product_bid.php',
              data: $('form[name=product]').attr('action') + '&selected_tab=' + $('input[name="selected_tab"]').val() + '&path=' + path + '&rand=' + new Date().valueOf(),
              beforeSend:
                function(data) {
                   },
              success: function(data) {
                    $('#product_bid').html(data),
                    AmazonInit() ;
                  }
          });

          return(false) ;
        }) ;

        $('#amazon-button3').click(function() {
            if ( ! confirm( $('#amz-text-strategy-reinit').val() ) )  return(false);

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: $('#product').serialize() + '&action=reinit-strategies&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#extra-text-loader').show() ;
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#extra-text-loader').hide() ;
                    $('#result-amz').html(data).show()
                  }
           });

          return(false) ;
        }) ;

        function AmazonInit()
        {
          $('#amazon-overlay').show() ;
          $('#amazon-window').show().fadeIn() ;

          $('#awindow-closeX').click(function() {

             $('#amazon-window').html('');
             $('#amazon-overlay').hide() ;
             $('#amazon-window').fadeOut();

          });

          $('#freeze-price').click(function() {
            if ( $(this).attr('checked') == true )
            {
              min = parseFloat($('#amz-cur').val()) ;
              max = parseFloat($('#amz-cur').val()) ;
              $('#amz-min').val( min.toFixed(2) ) ;
              $('#amz-max').val( max.toFixed(2) ) ;

              $('#amz-min').css('background-color', 'grey') ;
              $('#amz-min').css('color', 'white') ;
              $('#amz-min').css('font-weight', 'bold') ;

              $('#amz-max').css('background-color', 'grey') ;
              $('#amz-max').css('color', 'white') ;
              $('#amz-max').css('font-weight', 'bold') ;

              $('#amz-min').attr('disabled', true) ;
              $('#amz-max').attr('disabled', true) ;
            }
            else
            {
              $('#amz-min').css('background-color', 'white') ;
              $('#amz-min').css('color', 'black') ;
              $('#amz-min').css('font-weight', 'normal') ;

              $('#amz-max').css('background-color', 'white') ;
              $('#amz-max').css('color', 'black') ;
              $('#amz-max').css('font-weight', 'normal') ;

              $('#amz-min').attr('disabled', false) ;
              $('#amz-max').attr('disabled', false) ;
            }
          });

          $('#suggested-price').click(function() {


            if ( $(this).attr('checked') == true )
            {
              suggested = parseFloat( $('input[name=suggested]').val() ) ;

              $('#amz-cur').val( suggested.toFixed(2) ) ;
              $('#amz-cur').css('background-color', 'green') ;
              $('#amz-cur').css('color', 'white') ;
              $('#amz-cur').css('font-weight', 'bold') ;
            }
            else
            {
              $('#amz-cur').css('background-color', 'white') ;
              $('#amz-cur').css('color', 'black') ;
              $('#amz-cur').css('font-weight', 'normal') ;
            }

          });

          function updateStragegy(update)
          {
                    if ( update == 2)
                    {
                      params = '&delete=1' ;

                      if ( ! confirm('Are you sure to delete this Strategy ?') )
                        return(false) ;
                    }
                    else if ( update == true )
                      params = '&update=1' ;
                    else
                      params = '' ;

                    $.ajax({
                        type: 'POST',
                        url: path + 'functions/product_bid_update.php',
                        data: $('form[name=update-amazon-bid]').serialize() + params + '&rand=' + new Date() + '&callback=?',
                        dataType:'json',
                        timeout:20000,
                        beforeSend:
                            function(data) {
                                $('#amz-loader').fadeIn()
                             },
                        success: function(data) {
                              min = parseFloat(data.min),
                              max = parseFloat(data.max),
                              cur = parseFloat(data.cur),
                              gap = parseFloat(data.gap),
                              ship = parseFloat(data.ship),

                              $('#amz-min').val(min.toFixed(2)),
                              $('#amz-max').val(max.toFixed(2)),
                              $('#amz-cur').val(cur.toFixed(2)),
                              $('#amz-gap').val(gap),

                              $('#amz-dis-min').html(min.toFixed(2)),
                              $('#amz-dis-max').html(max.toFixed(2)),
                              $('#amz-dis-ship').html(ship.toFixed(2)),

                              $('#amz-loader').fadeOut()
                            },
                       error: function(data) {
                            $('#amz-loader').html('Unable to connect to the MarketPlace')
                           }
                    });
                    return(false) ;
          }
          $('#update-online').click(function()
          {
              updateStragegy(true) ;
              return(false) ;
          });

          $('#view-online').click(function()
          {
              window.open( $('#view-online').attr('rel') ) ;
              return(false) ;
          });


          $('#amz-delete').click(function()
          {
              updateStragegy(2) ; // 2 delete
              return(false) ;
          });

          // on Load
          updateStragegy(false) ;

          $('input[name=amazon_lang]').click(function() {
              lang = $(this).val() ;
              path = $('input[name=path]').val() ;

              $('#amazon-window').html('<br />&nbsp;&nbsp;<img id="loader" src="' + path + 'images/loading.gif" alt="" />');
              $.ajax({
                  type: 'GET',
                  url: path + 'functions/product_bid.php',
                  data: $('form[name=product]').attr('action') + '&amazon_lang=' + lang + '&path=' + path + '&rand=' + new Date(),
                  success: function(data) {
                        $('#product_bid').html(data),
                        AmazonInit() ;
                      }
              });
              return(false) ;

          });

        }
    }
 }) ;

