 $(document).ready(function() {
    // get parameters - credits :
    // http://wowmotty.blogspot.com/2010/04/get-parameters-from-your-script-tag.html
    // extract out the parameters
    function gup(n,s){
      n = n.replace(/[\[]/,"\\[").replace(/[\]]/,"\\]");
      var p = (new RegExp("[\\?&]"+n+"=([^&#]*)")).exec(s);
      return (p===null) ? "" : p[1];
    }
    var scriptSrc = $('script[src*="product_options.js"]').attr('src');
    var path = gup( 'path', scriptSrc );

    // PS 1.4 or 1.5
    if ( $('#product').length )
    {
        var product_form = $('#product') ;
        Amazon_Init();
    }
    else
    {
        var product_form = $('#product_form') ;
        setTimeout(Amazon_Init, 2000);
    }

    // load CSS
    //
    $('head').append("<link>");
      cssX = $("head").children(":last");
      cssX.attr({
        rel:  "stylesheet",
        type: "text/css",
        href: path + 'css/product_options.css'
      });

    $('head').append("<link>");
      cssX = $("head").children(":last");
      cssX.attr({
        rel:  "stylesheet",
        type: "text/css",
        href: path + '/css/amazon.css'
    });
    function Amazon_Init()
    {
      $.ajax({
            type: 'GET',
            url: path + 'functions/product_options.php',
            data: $('form[name=product]').attr('action') + '&path=' + path + '&rand=' + new Date().valueOf(),
            success: function(data) {
                 // PS 1.5
                  if ( $('#step1 .separation:eq(2)').length )
                  {
                      $('#step1 .separation:eq(2)').parent().after().append(data) ;
                      $('#step1 .separation:eq(2)').parent().after().append('<div class="separation"></div>');
                  }
                  else if ( $('#step1 hr:eq(1)').length )
                  {
                     $('#step1 hr:eq(1)').parent().parent().after(data) ;
                  }

                  ProductOptionInit() ;
                }
        });
      }
      function ProductOptionInit()
      {
        $('#amazon-save-options').click(function() {

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=set&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#result-amz').html('').hide(),
                    $('amazon-save-loader').show() ;
                   },
              success: function(data) {
                    $('amazon-save-loader').hide() ;
                    $('#result-amz').html(data).show()
                  }
           });


        });


        $('.amz-propagate-text-cat').click(function() {

            if ( ! confirm( $('#amz-text-propagate-cat').val() ) )  return(false);

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-text-cat&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#extra-text-loader').show() ;
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#extra-text-loader').hide() ;
                    $('#result-amz').html(data).show()
                  }
           });
        });

        $('.amz-propagate-text-shop').click(function() {

            if ( ! confirm( $('#amz-text-propagate-shop').val() ) )  return(false);

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-text-shop&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#extra-text-loader').show() ;
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#extra-text-loader').hide() ;
                    $('#result-amz').html(data).show()
                  }
           });
        });

        $('.amz-propagate-latency-cat').click(function() {

            if ( ! confirm( $('#amz-text-propagate-latency-cat').val() ) )  return(false);

            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            lang = result[2] ;

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-latency-cat&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#latency-loader-' + lang).show(),
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#latency-loader-' + lang).hide(),
                    $('#result-amz').html(data).show()
                  }
           });
        });

        $('.amz-propagate-latency-shop').click(function() {

            if ( ! confirm( $('#amz-text-propagate-latency-shop').val() ) )  return(false);

            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            lang = result[2] ;

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-latency-shop&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#latency-loader-' + lang).show(),
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#latency-loader-' + lang).hide(),
                    $('#result-amz').html(data).show()
                  }
           });
        });



        $('.amz-propagate-shipping-cat').click(function() {

            if ( ! confirm( $('#amz-text-propagate-shipping-cat').val() ) )  return(false);

            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            lang = result[2] ;

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-shipping-cat&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#shipping-loader-' + lang).show(),
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#shipping-loader-' + lang).hide(),
                    $('#result-amz').html(data).show()
                  }
           });
        });

        $('.amz-propagate-shipping-shop').click(function() {

            if ( ! confirm( $('#amz-text-propagate-shipping-shop').val() ) )  return(false);

            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            lang = result[2] ;

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-shipping-shop&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#shipping-loader-' + lang).show(),
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#shipping-loader-' + lang).hide(),
                    $('#result-amz').html(data).show()
                  }
           });
        });


        $('.amz-propagate-disable-cat').click(function() {

            if ( ! confirm( $('#amz-text-propagate-disable-cat').val() ) )  return(false);

            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            lang = result[2] ;

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-disable-cat&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#disable-loader-' + lang).show(),
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#disable-loader-' + lang).hide(),
                    $('#result-amz').html(data).show()
                  }
           });
        });

        $('.amz-propagate-disable-shop').click(function() {

            if ( ! confirm( $('#amz-text-propagate-disable-shop').val() ) )  return(false);

            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            lang = result[2] ;

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-disable-shop&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#disable-loader-' + lang).show(),
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#disable-loader-' + lang).hide(),
                    $('#result-amz').html(data).show()
                  }
           });
        });

        $('.amz-propagate-disable-manufacturer').click(function() {

            if ( ! confirm( $('#amz-text-propagate-disable-manufacturer').val() ) )  return(false);

            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            lang = result[2] ;

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-disable-manufacturer&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#disable-loader-' + lang).show(),
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#disable-loader-' + lang).hide(),
                    $('#result-amz').html(data).show()
                  }
           });
        });


        // Force
        //
        $('.amz-propagate-force-cat').click(function() {

            if ( ! confirm( $('#amz-text-propagate-force-cat').val() ) )  return(false);

            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            lang = result[2] ;

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-force-cat&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#force-loader-' + lang).show(),
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#force-loader-' + lang).hide(),
                    $('#result-amz').html(data).show()
                  }
           });
        });

        $('.amz-propagate-force-shop').click(function() {

            if ( ! confirm( $('#amz-text-propagate-force-shop').val() ) )  return(false);

            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            lang = result[2] ;

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-force-shop&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#force-loader-' + lang).show(),
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#force-loader-' + lang).hide(),
                    $('#result-amz').html(data).show()
                  }
           });
        });

        $('.amz-propagate-force-manufacturer').click(function() {

            if ( ! confirm( $('#amz-text-propagate-force-manufacturer').val() ) )  return(false);

            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            lang = result[2] ;

            $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: product_form.serialize() + '&action=propagate-force-manufacturer&path=' + path + '&rand=' + new Date().valueOf() + '&callback=?',
              beforeSend:
                function(data) {
                    $('#force-loader-' + lang).show(),
                    $('#result-amz').html('').hide()
                   },
              success: function(data) {
                    $('#force-loader-' + lang).hide(),
                    $('#result-amz').html(data).show()
                  }
           });
        });


        $('input[id^="amazon-goto-"]').click(function() {
            result = $(this).attr('id').match('^(.*)-(.*)$') ;
            asin = result[2] ;

            window.open( $(this).attr('rel') ) ;
        });

        $('input[id^="amz-ean-asin-"]').click(function() {

           result = $(this).attr('id').match('^(.*)-(.*)$') ;
           lang = result[2] ;


           if ( ! $('input[name="ean13"]').val().length && $('input[name="ean13"]').val().length )
           {
             $('#asin-response-' + lang).slideDown() ;
             $('#asin-response-' + lang).html( $('#amz-asin-mustbeset').val() ) ;
             return(false);
           }

           $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: $('input[name="ean13"], input[name="upc"], input[name="marketPlaceId"],  input[name^="advertisingAPI"]').serialize() + '&action=ean2asin&path=' + path + '&rand=' + new Date() + '&id_lang=' + lang + '&callback=?',
              dataType: 'json',
              beforeSend:
                function(data) {
                    $('#asin-loader-' + lang).show() ;
                    $('#asin-response-' + lang).html('').hide()
                   },
              success: function(data) {
                    $('#asin-loader-' + lang).hide(),

                    $('#asin-response-' + lang).html(data.output).show() ;

                    if ( data.asin )
                        $('#amz-asin-' + lang).val(data.asin) ;
                  }
           });

        });


        $('input[id^="amz-asin-ean-"]').click(function() {

           result = $(this).attr('id').match('^(.*)-(.*)$') ;
           lang = result[2] ;


           if ( ! $('input[name="amz-asin-' + lang +'"]').val().length )
           {
             $('#asin-response-' + lang).slideDown() ;
             $('#asin-response-' + lang).html( $('#amz-asin-mustbeset').val() ) ;
             return(false);
           }

           $.ajax({
              type: 'POST',
              url: path + 'functions/product_options.json.php',
              data: $('input[name="amz-asin-' + lang +'"], input[name="marketPlaceId"],  input[name^="advertisingAPI"]').serialize() + '&action=asin2ean&path=' + path + '&rand=' + new Date() + '&id_lang=' + lang + '&callback=?',
              dataType: 'json',
              beforeSend:
                function(data) {
                    $('#asin-loader-' + lang).show() ;
                    $('#asin-response-' + lang).html('').hide()
                   },
              success: function(data) {
                    $('#asin-loader-' + lang).hide(),

                    $('#asin-response-' + lang).html(data.output).show() ;

                    if ( data.ean )
                        $('input[name=ean13]').val(data.ean) ;
                    if ( data.upc )
                        $('input[name=upc]').val(data.upc) ;
                  }
           });

        });


        function DisplayPrice(obj)
        {
           price = obj.val() ;
           if ( price <= 0 || ! price ) return ;
           price = parseFloat(price.replace(',', '.')) ;
           price = price.toFixed(2);

           obj.val(price);
        }

        $('input[name^="amz-shipping-"]').blur(function() {
            DisplayPrice($(this)) ;
        });

        $('input[name^="amz-price-"]').blur(function() {
            DisplayPrice($(this)) ;
        });

        $('#amazon-options').click(function() {
           image = $('#amz-toggle-img') ;

           newImage = image.attr('rel') ;
           oldImage = image.attr('src') ;

           image.attr('src', newImage) ;
           image.attr('rel', oldImage) ;

           if ( $('.amazon-details').is(':visible') )
            $('.amazon-details').hide() ;
           else
            $('.amazon-details').show() ;
        });

        // First Tab
        //
//        $('li[id^="menu-"]:last').before( $('li[id^="menu-"].selected') ) ;
        $('div[id^="menudiv-' + $('input[name=selected_tab]').val() + '"]').show() ;


        $('li[id^="menu-"]').click(function()
        {
           result = $(this).attr('id').match('^(.*)-(.*)$') ;
           lang = result[2] ;

           $('input[name=selected_tab]').val(lang) ;

           if ( ! $(this).hasClass('selected') )
           {
//                $('li[id^="menu-"]:last').after( $(this) ) ;
                $('li[id^="menu-"]').removeClass('selected') ;
                $(this).addClass('selected') ;
                $('div[id^="menudiv-"]').hide() ;
                $('div[id^="menudiv-' + lang + '"]').show() ;
           }
        });

      }

 }) ;

