 $(document).ready(function() {

    // load CSS
    //
    $('head').append("<link>");
      css = $("head").children(":last");
      css.attr({
        rel:  "stylesheet",
        type: "text/css",
        href: $('#css_file').val()
    });
    if ( ! $('input[name="amazon_lang"]:checked').length )
        $('input[name="amazon_lang"]:first').attr('checked', 'checked') ;

    $('li[id^="menu-"]').click(function(){
         result = $(this).attr('id').match('^(.*)-(.*)$') ;
         tab = result[2] ;

         $('input[name=selected_tab]').val(tab) ;

         if ( ! $(this).hasClass('selected') )
         {
              $('li[id^="menu-"]').removeClass('selected') ;
              $(this).addClass('selected') ;
              $('div[id^="menudiv-"]').hide() ;
              $('div[id^="menudiv-' + tab + '"]').show() ;
         }
    });


   //
    // Reports
    //
    $('#request-submission-result').click(function() {
      $('#wait-report').show() ;

      setTimeout(function() {
         $('#wait-report').hide() ;
         $('#display-report').show();
       },60000);

      $('#submission-results').html('') ;

      $.ajax({
          type: 'POST',
          url: $('#report_url').val() + '?id_lang=' + $('#id_lang').val() + '&callback=?',
          data: $('#updateAmazon').serialize() + '&action=submission-report',
          success: function(data) {
                $('#wait-report').hide() ;
                $('#submission-results').html(data).show();
              }
      });

      return(false) ;

    }) ;


     $('#request-report').click(function() {

      loader = '<img src="' + $('#img_loader').val() + '" alt="" />' ;

      $('#amazon-report').show() ;
      $('#amazon-report').html(loader) ;

      $.ajax({
          type: 'POST',
          url: $('#statistics_url').val(),
          data: $('#updateAmazon').serialize() + '&id_lang=' + $('#id_lang').val() + '&action=request-report&europe=' + $('input[name="amazon_lang"]:checked').attr('rel'),
          success: function(data) {
                $('#amazon-report').html(data),
                InitReport()
              }
      });
      return(false) ;

    }) ;

    function InitReport()
    {
       $('#wait-report').show() ;

       setTimeout(function() {
         $('#wait-report').hide() ;
         $('#display-report').show();
       },30000);

       $('#display-report').click(function() {

        loader = '<img src="' + $('#img_loader').val() + '" alt="" />' ;

        $('#amazon-report').show() ;
        $('#amazon-report').html(loader) ;

        $.ajax({
            type: 'POST',
            url: $('#statistics_url').val(),
            data: $('#updateAmazon').serialize() + '&id_lang=' + $('#id_lang').val() + '&action=display-report&europe=' + $('input[name="amazon_lang"]:checked').attr('rel'),
            success: function(data) {
                  $('#amazon-report').html(data)
                }
        });
        return(false) ;

      }) ;

    }
    $('input[name="relations-only"]').click(function()
    {
        if ( $(this).attr('checked') )
        {
           $('input[name="create"]').attr('disabled', true) ; 
        }    
        else
        {
           $('input[name="create"]').attr('disabled', false) ;  
        }
    });

    $('.options-extended').click(function()
    {
        $('.option-ext-item').toggle() ;
    });
    
    
    //
    // Submits
    //
    $('input[name=update], input[name=lookup], input[name=export], input[name=verify]').click(function() {

      if ( ! $('input[name="amazon_lang"]').is(':checked') && $('input[name="amazon_lang"]').attr('rel') != 'europe' )
      {
        alert( $('#msg_lang').val() ) ;
        return(false) ;
      }

      params='';

      if ( $(this).attr('name') == 'update' )
      {
        params='&action=update' ;
        $('#report-set').fadeIn();
      }
      if ( $(this).attr('name') == 'verify' )
      {
        params='&action=verify' ;
      }
      else if ( $(this).attr('name') == 'export' )
      {
        params='&action=export' ;
        $('#report-set').fadeIn();
      }

      $('#result2').html('') ;
      $('#result2').fadeOut() ;
      $('#result').fadeIn() ;
      $('#result').html('<img src="' + $('#img_loader').val() + '" alt="" style="margin-left:50%" />');


      $('#result').ajaxError(function(r) {
             $('#result').html( $('#serror').val() ) ;
             if ( window.console )
                console.log(r);
        });
      $.ajax({
          type: 'POST',
          url: $('#update_url').val() + '?id_lang=' + $('#id_lang').val() + '&europe=' + $('input[name="amazon_lang"]:checked').attr('rel'),
          data: $('#updateAmazon').serialize() + params,
          success: function(data) {
               $('#result').html(data) ;
              },
          error: function(data) {
                $('#error').html(data).show() ;
            }
      });

      return(false) ;
    }) ;


 }) ;

