<?php

class XmlRestriction {
    /*Restrictions available for XML Data Types*/
    private static $xmlRestrictions = array('enumeration','fractionDigits','length',
                                     'maxExclusive','maxInclusive','maxLength',
                                     'minExclusive','minInclusive','minLength',
                                     'pattern','totalDigits','whiteSpace');
    
    /**
     * Checks if a value is a restriction
     * @param type $value
     * @return True if $value is a restriction, False otherwise
     */
    public static function isRestriction($value){
        return in_array($value, self::$xmlRestrictions);
    }
      
    
}

?>