var correosResultados = '';
//http://trac.osgeo.org/proj4js/
Proj4js.defs = {
  'WGS84': "+title=long/lat:WGS84 +proj=longlat +ellps=WGS84 +datum=WGS84 +units=degrees",
  'EPSG:3875': "+title= Google Mercator +proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +no_defs"};
					
var source = new Proj4js.Proj('EPSG:3875');  
var dest = new Proj4js.Proj('WGS84'); 
var correos_recoger_selected = 0;
$(document).ready(function()
{
	$('.delivery_option_radio').click(function(event)
	{
		if ($(this).val().replace(',', '') == CR_ID_CARRIER) {
			
			$(this).parent().append($('#correos_content'));
			GetcorreosPoint();
			correos_recoger_selected = 1;
		} else {
			$('#oficinas_correos_content').css("display","none");	
			correos_recoger_selected = 0;
		}
	});
	$('.delivery_option_radio').each(function(event)
	{
		if ($(this).val().replace(',', '') == CR_ID_CARRIER && $(this).is(":checked")) {
			$(this).parent().append($('#correos_content'));
			GetcorreosPoint();
			correos_recoger_selected = 1;
		}	
	});
	$('input[name=id_carrier]').click(function(event)

	{

		if ($(this).val() == CR_ID_CARRIER) {
			
			GetcorreosPoint();
			correos_recoger_selected = 1;

		} else {

			$('#oficinas_correos_content').css("display","none");
			correos_recoger_selected = 0;
		}

	});
	
	$('input[name=processCarrier]').click(function(event) 
	{
		if(correos_recoger_selected == 1)
		{
			if(!is_valid_mobile($("#correos_mobile").val())) 
			{  
				alert(message_mobile_error);
				return false;  
    		}  
	
			if(!is_valid_email($("#correos_email").val())) 
			{  
				alert(message_email_error);
				return false;  
    		}  
		}
	});
});
function is_valid_mobile(tel) {
	var test = /^[67]\d{8}$/;
	var telReg = new RegExp(test);
	return telReg.test(tel);
}
function is_valid_email(email) {
 
	var test = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
	var emailReg = new RegExp(test);
	return emailReg.test(email);
}
function correos_displayPoint(content)
{
	$('#id_carrier' + CR_ID_CARRIER).parents('tr').after(content);
}
function GetcorreosPoint()
{
	$('#loadingmask').css("display","");	
	$.ajax(
	{
		type: 'POST',
		url: CR_MODULE_DIR + 'ajax.php',
		data: {'token' : CR_TOKEN, 'acc' : 'GetPoint', 'postcode' : $("#correos_postcode").val()},
		success: function(JSONObject) 
		{
			if( JSONObject != '' ) {
				//alert(JSONObject);
				correosResultados = eval('('+JSONObject+')');
				correos_fillDropDown(correosResultados);
				$('#oficinas_correos_content').css("display","");	
			} else {
				alert("Seleccionadas opciones no han devuelto resultados");
			}
		$('#loadingmask').css("display","none");
		},
		error: function(xhr, ajaxOptions, thrownError) 
		{
			console.log(thrownError);
		// Put debug to see error detail
			alert(thrownError);	
		}
	});
}
function correos_fillDropDown(data)
{
		var field = document.getElementById('oficinas_correos');
        for(i=field.options.length-1;i>=0;i--) { field.remove(i); }       
		jQuery.each(data, function() {
			field.options.add(new Option(this.direccion+" - "+this.localidad,this.unidad));  
		});
	   correosInfo();
    }
function correosInfo()
{
	var puntoActual = document.getElementById('oficinas_correos').value;
	jQuery.each(correosResultados, function() {
		 if (this.unidad == puntoActual)
         {
            $('#oficina_correos_id').val(this.unidad);
			$('#oficina_correos_data').val(this.nombre+"|"+this.direccion+"|"+this.cp+"|"+this.localidad);
         	correos_infoGoogleMaps(this);
           	correos_infoHorarios(this);
         }		  
	});
}
function correos_infoGoogleMaps(e)
{
	var p = new Proj4js.Point(e.coorx,e.coory); 
	var pointDest =  Proj4js.transform(source, dest, p); 

	var latlng = new google.maps.LatLng(pointDest.y,pointDest.x);
	var imagen = new google.maps.MarkerImage(CR_MODULE_DIR + 'images/globo.png', new google.maps.Size(100,47), new google.maps.Point(0,0), new google.maps.Point(50,47));

	var sombra = new google.maps.MarkerImage(CR_MODULE_DIR + 'images/globosombra.png', new google.maps.Size(100,19), new google.maps.Point(0,0), new google.maps.Point(31,19));
		
	var mapOptions = {
      zoom: 16,
      mapTypeId: google.maps.MapTypeId.ROADMAP
	};
	var map = new google.maps.Map(document.getElementById("correos_info_map"), mapOptions);
	
	
	  var marker = new google.maps.Marker({
            map: map,
            position: latlng,
			icon: imagen,
			shadow: sombra
        });
	  map.setCenter(latlng);

      if(marker)
	  {
		  $("#correos_maplink").attr("href","https://maps.google.es/maps?q="+ latlng +"&hl=es&t=m&z=18");
		  
	  } else{
		  $("#correos_maplink_info").html("Lo sentimos, Google Map no ha encontrado la direcci&oacute;n");
	  }
		
}

function correos_infoHorarios(e)

{
	$("#correos_nombreoficina").html(e.nombre);
	$("#correos_direccion").html(e.direccion + "</br>" + e.cp + " " + e.localidad);
	$("#horariolv").html(e.horariolv);
	$("#horarios").html(e.horarios);
	$("#horariof").html(e.horariof);
}