<?php

$sql = array();
$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'correos_recoger` (
   `id` int(5) NOT NULL AUTO_INCREMENT,
  `entity_type` enum(\'quote\',\'order\') NOT NULL,
  `cart_id` int(12) NOT NULL,
  `order_id` int(12) NOT NULL DEFAULT 0,
  `oficina_recogida` varchar(10) NOT NULL,
  `movil` varchar(255) NOT NULL,
  `correo` varchar(255) NOT NULL,
  `info_oficina` text NULL,
  `fecha` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'correos_carrier` (
  `codigo` varchar(5) NOT NULL,
  `titulo` varchar(50) NOT NULL,
  `retraso` varchar(80) NOT NULL,
  `ps_carrier_id` int(10) unsigned NOT NULL,
  UNIQUE KEY `codigo` (`codigo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;';

$sql[] = "INSERT INTO `"._DB_PREFIX_."correos_carrier` (`codigo`, `titulo`, `retraso`, `ps_carrier_id`) VALUES
('S0030', 'Paquete Postal Internacional Prioritario', 'Entrega a domicilio hasta 7 días', 0),
('S0033', 'Postal EXPRÉS Nacional', 'Entrega a domicilio en 1-2 días', 0),
('S0034', 'Postal EXPRÉS Internacional ', 'Entrega a domicilio hasta 5 días', 0),
('S0132', 'Postal 48/72 Domicilio', 'Entrega a domicilio en 2-3 días', 0),
('S0133', 'Postal 48/72 Oficina', 'Recogida en la oficina que Vd. elija (2-3 días)', 0),
('S0198', 'Postal EXPRÉS LISTA', 'Definir...', 0);";

$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'correos_preregister` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(10) unsigned NOT NULL,
  `carrier_id` int(10) unsigned NOT NULL,
  `carrier_code` varchar(5) NOT NULL,
  `code_expedicion` varchar(16) NOT NULL,
  `date_respuesta` datetime NOT NULL,
  `code_envio` varchar(23) NOT NULL,
  `label_printed` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'correos_conf` (
		 `clave` VARCHAR( 50 ) NOT NULL ,
		 `valor` VARCHAR( 255 ) NULL 
		) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

$sql[] ="INSERT INTO `"._DB_PREFIX_."correos_conf` (`clave`, `valor`) VALUES
		('etiquetador', '1006'),
		('entorno_produccion', '1'),
		('numero_contrato', 'opcional'),
		('numero_cliente', 'opcional'),
		('usuario_correos', 'YDRAL'),
		('clave_correos', 'aACq55d1'),
		('url_datos', 'https://preregistroenvios.correos.es/preregistroenvios'),
		('url_datos_pre', 'https://preregistroenviospre.correos.es/preregistroenvios'),
		('url_localizacion_envio', 'https://online.correos.es/servicioswebLocalizacionMI/localizacionMI.asmx'),
		('url_localizacion_oficinas', 'http://localizadoroficinas.correos.es/localizadoroficinas'),
		('url_localizacion_oficinas_pre', 'http://localizadoroficinaspre.correos.es/localizadoroficinas'),
		('remitente_nombre', 'Ydral'),
		('remitente_apellidos', 'Ydral'),
		('remitente_dni', '0'),
		('remitente_empresa', 'Ydral'),
		('remitente_presona_contacto', 'Ydral'),
		('remitente_direccion', 'Calle de la Montera, 9 5ª'),
		('remitente_localidad', 'Madrid'),
		('remitente_cp', '28013'),
		('remitente_provincia', 'Madrid'),
		('remitente_tel_fijo', '34 91 522 86 74'),
		('remitente_movil', '34 91 522 86 74'),
		('remitente_email', 'prueba@prueba'),
		('remitente_nrcuenta', '0'),
		('seguro', '1'),
		('valorseguro', '25');";
