(function($){
	var initLayout = function() {

		var selectors_logo = 'a.logo, span.slogan';
		var selectors_headings = '#columns h1, #columns h1 a, #columns h2, #columns h2 a, #columns h3, #columns h3 a, #columns h4, #columns h4 a, #columns h5, #columns h5 a, h2.productscategory_h2, .layered_subtitle';
		var backs = 'input.button_mini, input.button_small, input.button, input.button_large, input.button_mini_disabled, input.button_small_disabled, input.button_disabled, input.button_large_disabled, input.exclusive_mini, input.exclusive_small, input.exclusive, input.exclusive_large, input.exclusive_mini_disabled, input.exclusive_small_disabled, input.exclusive_disabled, input.exclusive_large_disabled, a.button_mini, a.button_small, a.button, a.button_large, a.exclusive_mini, a.exclusive_small, a.exclusive, a.exclusive_large, span.button_mini, span.button_small, span.button, span.button_large, span.exclusive_mini, span.exclusive_small, span.exclusive, span.exclusive_large, span.exclusive_large_disabled, #right_column #categories_block_left li, .jms-link, #right_column #categories_block_left li';
		var selectors_links = '.breadcrumb a, #left_column ul li a, #left_column p a, #pagination ul li a, #product_list h3 a, #mycarousel a.f_title';
		var selectors_text = ".product_desc, #idTab1 p, #idTab1, .comment_details p, #newsletter_block_ext .indent p, #mycarousel a.f_title";

		/* read cookies */
		if($.cookie("color")) { // read background color cookie
			var clr = $.cookie("color");
		}
		if($.cookie("logo_color")) { // read logo color cookie
			var l_clr = $.cookie("logo_color");
		}
		if($.cookie("headings_color")) { // read logo color cookie
			var headings_clr = $.cookie("headings_color");
		}
		if($.cookie("buttons_color")) { // read buttons color cookie
			var buttons_clr = $.cookie("buttons_color");
		}
		if($.cookie("links_color")) { // read links color cookie
			var links_color = $.cookie("links_color");
		}
		if($.cookie("text_color")) { // read links color cookie
			var text_color = $.cookie("text_color");
		}

		$('#colorSelector').ColorPicker({
			color: "#"+clr,
			onShow: function (colpkr) {
				$(colpkr).fadeIn(500);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(500);
				return false;
			},
			onChange: function (hsb, hex, rgb) {
				$('#colorSelector div, #white_bg').css('backgroundColor', '#' + hex);		
				
				$.cookie("color", hex); // set cookie
				//$.cookie("color", null); // remove cookie
			}
		});

		$('#colorSelector2').ColorPicker({
			color: '#'+l_clr,
			onShow: function (colpkr) {
				$(colpkr).fadeIn(500);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(500);
				return false;
			},
			onChange: function (hsb, hex, rgb) {
				$('#colorSelector2 div').css('backgroundColor', '#' + hex); // set background color for indicator
				$(selectors_logo).css('color', '#' + hex); // set headings color
				$.cookie("logo_color", hex); // set cookie for headings
				//$.cookie("logo_color", null); // remove cookie
			}
		});
		$('#colorSelector_buttons').ColorPicker({
			color: "#"+buttons_clr,

			onShow: function (colpkr) {
				$(colpkr).fadeIn(500);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(500);
				return false;
			},
			onChange: function (hsb, hex, rgb) {		
				$.cookie("buttons_color", hex); // set cookie
				$('#colorSelector_buttons div').css('backgroundColor', '#' + hex); // set background color for indicator
				$(backs).css('backgroundColor', '#' + hex);
				//$.cookie("color", null); // remove cookie
			}
		});
		$('#colorSelector_headings').ColorPicker({
			color: '#'+headings_clr,
			onShow: function (colpkr) {
				$(colpkr).fadeIn(500);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(500);
				return false;
			},
			onChange: function (hsb, hex, rgb) {
				$('#colorSelector_headings div').css('backgroundColor', '#' + hex); // set background color for indicator
				$(selectors_headings).css('color', '#' + hex); // set headings color
				
				$.cookie("headings_color", hex); // set cookie for links
				//$.cookie("logo_color", null); // remove cookie
			}
		});
		$('#links_color').ColorPicker({
			color: '#'+links_color,
			onShow: function (colpkr) {
				$(colpkr).fadeIn(500);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(500);
				return false;
			},
			onChange: function (hsb, hex, rgb) {
				$('#links_color div').css('backgroundColor', '#' + hex); // set background color for indicator
				$(selectors_links).css('color', '#' + hex); // set headings color
				
				$.cookie("links_color", hex); // set cookie for links
			}
		});
		$('#text_color').ColorPicker({
			color: '#'+text_color,
			onShow: function (colpkr) {
				$(colpkr).fadeIn(500);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(500);
				return false;
			},
			onChange: function (hsb, hex, rgb) {
				$('#text_color div').css('backgroundColor', '#' + hex); // set background color for indicator
				$(selectors_text).css('color', '#' + hex); // set headings color
				
				$.cookie("text_color", hex); // set cookie for links
			}
		});
	};
		

	EYE.register(initLayout, 'init');
})(jQuery)