<?php 
class twitterwidget extends Module {
	function __construct(){
		$this->name = 'twitterwidget';
		$this->tab = 'Other';
		$this->version = '1.0';
        $this->module_key = '';
        $this->dir = '/modules/twitterwidget/';
		parent::__construct();
		$this->displayName = $this->l('Twitter Widget Free');
		$this->description = $this->l('This module adds a twitter widget to your shop.');
        
	}
    
	function install(){
        if (parent::install() == false 
	    OR $this->registerHook('rightColumn') == false
	    OR $this->registerHook('leftColumn') == false
	    OR $this->registerHook('home') == false
	    OR Configuration::updateValue('twitterwidget_position', '2') == false
        OR Configuration::updateValue('twitterwidget_name', 'hrabja') == false
        OR Configuration::updateValue('twitterwidget_wid', '252719104740425728') == false
		OR Configuration::updateValue('twitterwidget_width', '220') == false       
        ){
            return false;
        }
        return true;
	}
    
	public function getContent(){
	   $output="";
		if (Tools::isSubmit('submit_settings')){
            Configuration::updateValue('twitterwidget_position', Tools::getValue('new_twitterwidget_position'), true);
            Configuration::updateValue('twitterwidget_name', Tools::getValue('new_twitterwidget_name'), true);
            Configuration::updateValue('twitterwidget_wid', Tools::getValue('new_twitterwidget_wid'), true);
            Configuration::updateValue('twitterwidget_width', Tools::getValue('new_twitterwidget_width'), true);
			
            $output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="'.$this->l('Confirmation').'" />'.$this->l('Settings updated').'</div>';                                    
        }	   
        $output.="";
        return $output.$this->displayForm();
	}
	
	public function getconf(){
		$var = new stdClass();
		$var->twitterwidget_position=Configuration::get('twitterwidget_position');
		$var->twitterwidget_name=Configuration::get('twitterwidget_name');
		$var->twitterwidget_wid=Configuration::get('twitterwidget_wid');
		$var->twitterwidget_width=Configuration::get('twitterwidget_width');
		return $var;
	}

	public function displayForm(){
		$var=$this->getconf();
		$twt_position1=""; $twt_position2=""; $twt_position3="";
		if ($var->twitterwidget_position==1){$twt_position1="checked=\"yes\"";}
		if ($var->twitterwidget_position==2){$twt_position2="checked=\"yes\"";}
		if ($var->twitterwidget_position==3){$twt_position3="checked=\"yes\"";}
		return'

        <img src="'.$this->_path.'logo.gif" alt="" title="" style="margin-bottom:10px;"/>
        <iframe src="http://mypresta.eu/content/uploads/2012/10/facebook_advertise.html" width="100%" height="130" border="0" style="border:none;"></iframe>
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
            <div style="display:block; margin:auto; overflow:hidden; ">
                    <div style="clear:both; display:block; ">
                        <fieldset>
            				<legend>'.$this->l('Twitter Widget configuration').'</legend>

			                <div style="clear:both;display:block;">
							    <label>'.$this->l('Left column').':</label>
								<div class="margin-form" valign="middle">
			                        <div style="margin-top:7px;">
									<input type="radio" name="new_twitterwidget_position" value="1" '.$twt_position1.'> '.$this->l('yes').'	
			                        </div>
								</div>
			                </div>
			                <div style="clear:both;display:block;">
							    <label>'.$this->l('Right column').':</label>
								<div class="margin-form" valign="middle">
			                        <div style="margin-top:7px;">
									<input type="radio" name="new_twitterwidget_position" value="2" '.$twt_position2.'> '.$this->l('yes').'									
			                        </div>
								</div>
			                </div>
							<div style="clear:both;display:block;">
							    <label>'.$this->l('Home').':</label>
								<div class="margin-form" valign="middle">
			                        <div style="margin-top:7px;">
									<input type="radio" name="new_twitterwidget_position" value="3" '.$twt_position3.'> '.$this->l('yes').'
									
			                        </div>
								</div>
			                </div>
			                
			                <label>'.$this->l('Box width').'</label>
            					<div class="margin-form">
            						<input type="text" style="width:200px;" value="'.$var->twitterwidget_width.'" id="new_twitterwidget_width" name="new_twitterwidget_width" onchange="">
                                    <p class="clear">'.$this->l('The minimum value of the parameter: 220').'</p>
                                </div>
				                            
            				<label>'.$this->l('Twitter name').'</label>
            					<div class="margin-form">
            						<input type="text" style="width:400px;" value="'.$var->twitterwidget_name.'" id="new_twitterwidget_name" name="new_twitterwidget_name" onchange="">
                                    <p class="clear">'.$this->l('Your account on Twitter name').'</p>
                                </div>
                                 
            				<label>'.$this->l('Twitter widget id').'</label>
            					<div class="margin-form">
            						<input type="text" style="width:150px;" value="'.$var->twitterwidget_wid.'" id="new_twitterwidget_wid" name="new_twitterwidget_wid" onchange="">
                                    <p class="clear">'.$this->l('The Twitter Widget id').'</p>
                                </div> 
                                <div align="center">
            				        <input type="submit" name="submit_settings" value="'.$this->l('Save Settings').'" class="button" />
                                </div>
                        </fieldset>                    
                    </div>
            </div>
		</form>
        ';
	}   
   
    
	function hookrightColumn($params){
		if (Configuration::get('twitterwidget_position')==2){
		    $cfg=$this->getconf();
	        global $smarty;
	        $smarty->assign('twt', $cfg);
			return $this->display(__FILE__, 'rightcolumn.tpl');
		}	
	}
	function hookleftColumn($params){
		if (Configuration::get('twitterwidget_position')==1){
		    $cfg=$this->getconf();
	        global $smarty;
	        $smarty->assign('twt', $cfg);
			return $this->display(__FILE__, 'rightcolumn.tpl');
		}	
	}
	
	function hookhome($params){
		if (Configuration::get('twitterwidget_position')==3){
		    $cfg=$this->getconf();
	        global $smarty;
	        $smarty->assign('twt', $cfg);
			return $this->display(__FILE__, 'rightcolumn.tpl');
		}	
	}  	    
}
?>