<?php

class ManufacturerController extends ManufacturerControllerCore
{
	protected function assignOne()
	{
		$nbProducts = $this->manufacturer->getProducts($this->manufacturer->id, null, null, null, $this->orderBy, $this->orderWay, true);
		$this->pagination((int)$nbProducts);
		$manu_products = $this->manufacturer->getProducts($this->manufacturer->id, $this->context->language->id, (int)$this->p, (int)$this->n, $this->orderBy, $this->orderWay);
		
				/************************* /Images Array ******************************/
		 		$image_array=array();
				for($i=0;$i<$nbProducts;$i++)
				{
					$image_array[$manu_products[$i]['id_product']]= Product::getProductsImgs($manu_products[$i]['id_product']);
				}
				$this->context->smarty->assign('productimg',(isset($image_array) AND $image_array) ? $image_array : NULL);
		
				/************************* /Images Array ******************************/
		$this->context->smarty->assign(array(
			'nb_products' => $nbProducts,
			'products' => $manu_products,
			'path' => ($this->manufacturer->active ? Tools::safeOutput($this->manufacturer->name) : ''),
			'manufacturer' => $this->manufacturer));
	}
}

